- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_symmetric_binding

## Typedefs
typedef struct rp_symmetric_binding_t | rp_symmetric_binding_t
## Functions
AXIS2_EXTERN rp_symmetric_binding_t * | rp_symmetric_binding_create (const axutil_env_t *env)
AXIS2_EXTERN void | rp_symmetric_binding_free (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN rp_symmetric_asymmetric_binding_commons_t * | rp_symmetric_binding_get_symmetric_asymmetric_binding_commons (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_symmetric_binding_set_symmetric_asymmetric_binding_commons (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env, rp_symmetric_asymmetric_binding_commons_t *symmetric_asymmetric_binding_commons)
AXIS2_EXTERN axis2_status_t | rp_symmetric_binding_set_protection_token (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env, rp_property_t *protection_token)
AXIS2_EXTERN rp_property_t * | rp_symmetric_binding_get_protection_token (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_symmetric_binding_set_encryption_token (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env, rp_property_t *encryption_token)
AXIS2_EXTERN rp_property_t * | rp_symmetric_binding_get_encryption_token (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_symmetric_binding_set_signature_token (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env, rp_property_t *signature_token)
AXIS2_EXTERN rp_property_t * | rp_symmetric_binding_get_signature_token (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_symmetric_binding_increment_ref (rp_symmetric_binding_t *symmetric_binding, const axutil_env_t *env)